Create Account Attachments

In Naviga Ad, in Name Maintenance, the screen for Attachments as shown here:

This is typically used for financial type attachments, since Name Maintenance is not generally accessible to all users.

The attachment can be a file uploaded (top section) or it can be a URL/link to the where the file lives in an external repository.

This API will allow adding these attachments to an account.

POST /api/ad/advertiser/attachments/add

Payload JSON will look like this:

The "New Links" array will add to the Links section and "New Attachments" will add to the Attachments section in Naviga Ad. Only one is required, along with the ID of the account (NameID)

Here is an example use case:

The above payload comes into Naviga Ad like this:

In the attachments section, if I clicked on "Jump in" link - it would take me to a file called "scuba.jpg" so I don't see the file name in the UI unless I hover over the link.

Last updated

Was this helpful?